Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PlaceholderDefinition

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.PlaceholderDefinition

All Implemented Interfaces:
  Serializable

public class PlaceholderDefinition
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`PlaceholderDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, int location)`

Method Summary
`LocalizationResource` | `getLocalizationResource()`
`int` | `getLocation()`
`MarkupDefinitionId` | `getMarkupDefinitionId()`
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()`
`void` | `setLocalizationResource(LocalizationResource localizationResource)`
`void` | `setLocation(int location)`
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlaceholderDefinition

    public PlaceholderDefinition(LocalizationResource localizationResource,
                                 MarkupDefinitionId markupDefinitionId,
                                 int location)

Method Detail

### getPlaceholderDefinitionId

    public PlaceholderDefinitionId getPlaceholderDefinitionId()

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

### getLocation

    public int getLocation()

### setLocation

    public void setLocation(int location)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved